@use "@styles/helpers";

.winners {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  margin-bottom: 80px;
}

.winnersList {
  margin-bottom: 28px;

  &__header {
    font-family: helpers.$fontMontserrat;
    font-weight: 500;
    margin-bottom: 25px;
    font-size: 25px;
  }
}

.winner {
  width: 100%;
  border-radius: 10px;
  border: 1px solid #ffda3e;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 11px 10px 11px 15px;

  &__avatar {
    height: 62px;
    width: 62px;
  }
  &__name,
  &__surname {
    font-weight: 700;
    line-height: 1.2rem;
  }
  &__info {
    margin-right: auto;
    margin-left: 22px;
  }

  &__medal {
    width: 35px;
    height: 35px;
    margin-right: 7px;
    background-image: url(./medal.svg);
  }
}

.winner + .winner {
  margin-top: 10px;
}

.btn_winners {
  font-size: 16px;
  display: block;
  margin: 0 auto 0;
  padding: 15px 0;
  width: 250px;
}

@media only screen and (max-width: helpers.$widthTablet) {
  .winners {
    margin-top: 45px;
  }
}
